package com.hzs.bonus.bonus.service;

import com.hzs.common.domain.sale.ext.SaOrderExt;

/**
 * 奖金结算服务类
 */
public interface IBonusSettleService {

    /**
     * 计算会员奖金
     *
     * @param date           结算日期
     */
    void calculateCuMemberBonus(String date);

    /**
     * 根据订单计算新零售奖金
     */
    void calculateCuMemberRetailRangeBonusBySaOrder(String orderCode);

    /**
     * 计算秒结表数据
     * @param orderExt
     */
    void calculateCuMemberRetailRangeBySaOrder(SaOrderExt orderExt);

}
